#ifndef _CAR_
  #define _CAR_

//***************************************************************************
// This code is generated by IBM VisualAge C++ Data Access Builder.
// WARNING: User modifications will be lost on next code generation.
//***************************************************************************


//***************************************************************************
// FILE NAME:Car.hpp     
//
// DESCRIPTION:
//   Declaration of the class(es):
//    Car - CarClass
//
//***************************************************************************

#ifndef _ISTRING_
  #include <istring.hpp>
#endif

#ifndef _IPERSIST_
  #include <ipersist.hpp>
#endif

#ifndef _daxsema_hpp_
  #include <daxsema.hpp> 
#endif

#include <ivseq.h>
#pragma pack(4)

#ifndef __NO_DEFAULT_LIBS__
  #pragma library("CarV.lib")
#endif

class _Export Car: public IPersistentObject
{
public:
  friend class CarManager;
  Car(); 
  Car(const Car& partCopy);
virtual
  ~Car();

  Car& operator= (const Car& aCar);
Boolean
  operator == (const Car& value) const,
  operator != (const Car& value) const,
  operator <  (const Car& value) const,
  operator == (const Car* value) const,
  operator != (const Car* value) const,
  operator <  (const Car* value) const;

virtual IString
  asString () const;

//***************************************************************************
// Methods for category
//***************************************************************************
virtual const IString& 
  category () const;
virtual Car&
  setCategory (const IString& acategory);
Boolean
  isCategoryNull() const;
Car&
setCategoryToNull(Boolean nullState=true);
Boolean
isCategoryNullable() const;

//***************************************************************************
// Methods for colour
//***************************************************************************
virtual const IString& 
  colour () const;
virtual Car&
  setColour (const IString& acolour);
Boolean
  isColourNull() const;
Car&
setColourToNull(Boolean nullState=true);
Boolean
isColourNullable() const;

//***************************************************************************
// Methods for license
//***************************************************************************
virtual const IString& 
  license () const;
virtual Car&
  setLicense (const IString& alicense);
Boolean
  isLicenseNull() const;
Car&
setLicenseToNull(Boolean nullState=true);
Boolean
isLicenseNullable() const;

//***************************************************************************
// Methods for make
//***************************************************************************
virtual const IString& 
  make () const;
virtual Car&
  setMake (const IString& amake);
Boolean
  isMakeNull() const;
Car&
setMakeToNull(Boolean nullState=true);
Boolean
isMakeNullable() const;

//***************************************************************************
// Methods for model
//***************************************************************************
virtual const IString& 
  model () const;
virtual Car&
  setModel (const IString& amodel);
Boolean
  isModelNull() const;
Car&
setModelToNull(Boolean nullState=true);
Boolean
isModelNullable() const;

virtual Car
  &add ();
virtual Car
  &update ();
virtual Car
  &del ();
virtual Car
  &retrieve ();
virtual Car
  &setReadOnly (Boolean flag = true);

virtual Car& initializePart();
static INotificationId categoryId;
static INotificationId categoryNullId;
static INotificationId colourId;
static INotificationId colourNullId;
static INotificationId licenseId;
static INotificationId makeId;
static INotificationId makeNullId;
static INotificationId modelId;
static INotificationId modelNullId;
static INotificationId readyId;

protected:
  virtual Boolean makeConnections();
private:
  static DaxSemaphore ds;

  IString       icategory; // length = 20
  const Boolean icategoryIsNullable;
  Boolean       icategoryIsNull;
  IString       icolour; // length = 20
  const Boolean icolourIsNullable;
  Boolean       icolourIsNull;
  IString       ilicense; // length = 10
  const Boolean ilicenseIsNullable;
  IString       imake; // length = 20
  const Boolean imakeIsNullable;
  Boolean       imakeIsNull;
  IString       imodel; // length = 20
  const Boolean imodelIsNullable;
  Boolean       imodelIsNull;
};

class _Export CarManager: public IPOManager
{
public:
  CarManager ();
  CarManager (const CarManager& partCopy);
virtual
   ~CarManager ();

  CarManager& operator= (const CarManager& aCarManager);
Boolean
  operator == (const CarManager& value) const,
  operator != (const CarManager& value) const,
  operator <  (const CarManager& value) const,
  operator == (const CarManager* value) const,
  operator != (const CarManager* value) const,
  operator <  (const CarManager* value) const;

virtual IVSequence <Car*> *
  items () const;
virtual CarManager
  &refresh ();
virtual CarManager
  &select (const IString& clause);
virtual CarManager& initializePart();
static INotificationId readyId;
static INotificationId itemsId;

protected:
  virtual Boolean makeConnections();

private:
  virtual CarManager  &clearItems();
  virtual CarManager  &setItems (IVSequence <Car*> * aItems);
  virtual CarManager  &setItems (const IVSequence <Car*>& aItems);
  IVSequence <Car*> * iItems;
};

#pragma pack() 

#endif
