#ifndef AHELLOWINDOW_H
#define AHELLOWINDOW_H
/******************************************************************************/
/* HELLO WORLD SAMPLE PROGRAM - Version 4: Symbolic Definitions (ahellow4.h)  */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1995. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
// NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//**************************************************************************
// window IDs - used to construct windows, e.g. IStaticText, AHelloWindow  *
//**************************************************************************
#define WND_MAIN         0x1000         //Main window window ID               V1

#define WND_HELLO        0x8008         //Hello World window ID               V1
#define WND_INFO         0x1012         //Information area window ID          V2
#define WND_STATUS       0x1011         //Status line window ID               V3
#define WND_TEXTDIALOG   0x1013         //Text dialog window ID               V4
#define WND_MCCANVAS     0x8008         //Text dialog client window ID        V4
#define WND_STCANVAS     0x1015         //Text dialog set canvas window ID    V4
#define WND_BUTTONS      0x1021         //Button set canvas window ID         V4


//**************************************************************************  V2
// String IDs - used to relate resources to IStaticText and ITitle         *  V2
//**************************************************************************  V2
#define STR_HELLO        0x1200         //Hello World string ID               V2
#define STR_INFO         0x1220         //Inactive text string ID             V2
#define STR_INFODLG      0x1221         //Dialog inactive text string ID      V4
#define STR_CENTER       0x1230         //Center alignment status string ID   V3
#define STR_LEFT         0x1231         //Left alignment status string ID     V3
#define STR_RIGHT        0x1232         //Right alignment status string ID    V3
#define STR_CENTERB      0x1240         //Center button string ID             V4
#define STR_LEFTB        0x1241         //Left button string ID               V4
#define STR_RIGHTB       0x1242         //Right button string ID              V4

//**************************************************************************  V3
// Menu IDs - used to relate command ID to menu items, buttons, and keys   *  V3
//**************************************************************************  V3
#define MI_ALIGNMENT     0x1500         //Alignment menu item command ID      V3
#define MI_CENTER        0x1501         //Center menu item command ID         V3
#define MI_LEFT          0x1502         //Left menu item command ID           V3
#define MI_RIGHT         0x1503         //Right menu item command ID          V3
#define MI_EDIT          0x1504         //Edit menu item command ID           V4
#define MI_TEXT          0x1505         //Text menu item command ID           V4

//**************************************************************************  V4
// Dialog IDs - window IDs used in ATextDialog class                       *  V4
//**************************************************************************  V4
#ifndef DID_OK                          //If not already defined by OS/2,     V4
#define DID_OK           0x0001         //OK button command ID                V4
#endif                                  //                                    V4
#ifndef DID_CANCEL                      //If not already defined by OS/2      V4
#define DID_CANCEL       0x0002         //Cancel button command ID            V4
#endif                                  //                                    V4
#define DID_ENTRY        0x1603         //Dialog entry field window ID        V4
#define DID_STATIC       0x1604         //Dialog static text window ID        V4

#endif
