#ifndef AHELLOWINDOW_H
#define AHELLOWINDOW_H
/******************************************************************************/
/* HELLO WORLD SAMPLE PROGRAM - Version 6: Symbolic Definitions (ahellow6.h)  */
/*                                                                            */
/* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1995. */
/*                                                                            */
/* DISCLAIMER OF WARRANTIES:                                                  */
/*   The following [enclosed] code is sample code created by IBM              */
/*   Corporation.  This sample code is not part of any standard IBM product   */
/*   and is provided to you solely for the purpose of assisting you in the    */
/*   development of your applications.  The code is provided "AS IS",         */
/*   without warranty of any kind.  IBM shall not be liable for any damages   */
/*   arising out of your use of the sample code, even if they have been       */
/*   advised of the possibility of such damages.                              */
/******************************************************************************/
// NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//**************************************************************************
// window ids - used by IWindow constructors (eg IStaticText, AHelloWindow)*
//**************************************************************************
#define WND_MAIN         0x1000         //Main window window ID               V1

#define WND_HELLO        0x1010         //Hello World window ID               V1
#define WND_INFO         0x1012         //Information area window ID          V2
#define WND_STATUS       0x1011         //Status line window ID               V3
#define WND_TEXTDIALOG   0x1013         //Text dialog window ID               V4
#define WND_EARTH        0x1014         //Earth window window ID              V5
#define WND_CANVAS       0x8008         //Hello World client window ID        V5
#define WND_MCCANVAS     0x8008         //Text dialog client window ID        V4
#define WND_STCANVAS     0x1015         //Text dialog set canvas window ID    V4
#define WND_BUTTONS      0x1021         //Button set canvas window ID         V4
#define WND_HCANVAS      0x1040         //Hello canvas window ID              V5
#define WND_LISTBOX      0x1050         //List box window ID                  V5
#define WND_STATUSCANVAS 0x1060         //Status line canvas window ID        V6
#define WND_TIME         0x1061         //Status line time window ID          V6
#define WND_DATE         0x1062         //Status line date window ID          V6
#define WND_HELLOPOPUP   0x1070         //Hello window popup menu window ID   V6
#define WND_EARTHPOPUP   0x1071         //Earth window popup menu window ID   V6

//******************************************************************************
// window ids - used by ANotebookWindow class (the names describe the purpose) *
//******************************************************************************
#define WND_NOTEBOOKFRAME       0x2000  //ANotebookWindow frame window ID     V6
#define WND_NOTEBOOK            0x8008  //NotebookWindow client window ID     V6
#define WND_EARTHPAGE           0x2100                                      //V6
#define WND_EARTHPAGEHEADING    0x2101                                      //V6
#define WND_STARSHEADING        0x2110                                      //V6
#define WND_STARSSETTINGS       0x2111                                      //V6
#define WND_TWINKLEBOX          0x2112                                      //V6
#define WND_BRIGHTBOX           0x2113                                      //V6
#define WND_LAYERSHEADING       0x2120                                      //V6
#define WND_LAYERSSPIN          0x2121                                      //V6
#define WND_EARTHCOLORHEADING   0x2130                                      //V6
#define WND_EARTHCOLORSETTINGS  0x2131                                      //V6
#define WND_CYANBUTTON          0x2132                                      //V6
#define WND_GREENBUTTON         0x2133                                      //V6
#define WND_WHITEBUTTON         0x2134                                      //V6
#define WND_YELLOWBUTTON        0x2135                                      //V6
#define WND_EARTHPAGEBUTTONS    0x2140                                      //V6
#define DID_EARTHAPPLY          0x2141                                      //V6
#define DID_EARTHRESET          0x2142                                      //V6
#define WND_DATETIMEPAGE        0x2150                                      //V6
#define WND_DATETIMEPAGEHEADING 0x2151                                      //V6
#define WND_DATEHEADING         0x2160                                      //V6
#define WND_DATESETTINGS        0x2161                                      //V6
#define WND_DATELONGBOX         0x2162                                      //V6
#define WND_DATESHORTBOX        0x2163                                      //V6
#define WND_DATEEXAMPLES        0x2164                                      //V6
#define WND_DATELONGEXAMPLE     0x2165                                      //V6
#define WND_DATESHORTEXAMPLE    0x2166                                      //V6
#define WND_TIMEHEADING         0x2170                                      //V6
#define WND_TIMESETTINGS        0x2171                                      //V6
#define WND_TIMELONGBOX         0x2172                                      //V6
#define WND_TIMESHORTBOX        0x2173                                      //V6
#define WND_TIMEEXAMPLES        0x2174                                      //V6
#define WND_TIMELONGEXAMPLE     0x2175                                      //V6
#define WND_TIMESHORTEXAMPLE    0x2176                                      //V6
#define WND_DATETIMEPAGEBUTTONS 0x2180                                      //V6
#define DID_DATETIMEAPPLY       0x2181                                      //V6
#define DID_DATETIMERESET       0x2182                                      //V6
#define DID_NOTEBOOKCLOSE       0x2183                                      //V6

//**************************************************************************  V2
// string ids - used to relate resources to IStaticText and ITitle         *  V2
//**************************************************************************  V2
#define STR_HELLO        0x1200         //Hello World string ID               V2
#define STR_INFO         0x1220         //Inactive text string ID             V2
#define STR_INFODLG      0x1221         //Dialog inactive text string ID      V4
#define STR_CENTER       0x1230         //Center alignment status string ID   V3
#define STR_LEFT         0x1231         //Left alignment status string ID     V3
#define STR_RIGHT        0x1232         //Right alignment status string ID    V3
#define STR_CENTERB      0x1240         //Center button string ID             V4
#define STR_LEFTB        0x1241         //Left button string ID               V4
#define STR_RIGHTB       0x1242         //Right button string ID              V4
#define STR_HELPB        0x1243         //Help button string ID               V5
#define STR_HTITLE       0x1250         //Help window title string ID         V5
#define STR_HELP_NOT_FOUND 0x1251       //Help not found string ID            V5
#define STR_FONTDLGT     0x1261         //Font dialog title string ID         V6

//******************************************************************************
// string ids - used by ANotebookWindow class (the names describe the purpose) *
//******************************************************************************
#define STR_EARTHTAB            0x2200                                      //V6
#define STR_DATETIMETAB         0x2201                                      //V6
#define STR_EARTHPAGEHEADING    0x2210                                      //V6
#define STR_STARSHEADING        0x2220                                      //V6
#define STR_TWINKLEBOX          0x2221                                      //V6
#define STR_BRIGHTBOX           0x2222                                      //V6
#define STR_LAYERSHEADING       0x2230                                      //V6
#define STR_EARTHCOLORHEADING   0x2240                                      //V6
#define STR_CYAN                0x2241                                      //V6
#define STR_GREEN               0x2242                                      //V6
#define STR_WHITE               0x2243                                      //V6
#define STR_YELLOW              0x2244                                      //V6
#define STR_DATETIMEPAGEHEADING 0x2250                                      //V6
#define STR_DATEHEADING         0x2260                                      //V6
#define STR_DATELONGBOX         0x2261                                      //V6
#define STR_DATESHORTBOX        0x2262                                      //V6
#define STR_DATELONGEXAMPLE     0x2263                                      //V6
#define STR_DATESHORTEXAMPLE    0x2264                                      //V6
#define STR_TIMEHEADING         0x2270                                      //V6
#define STR_TIMELONGBOX         0x2271                                      //V6
#define STR_TIMESHORTBOX        0x2272                                      //V6
#define STR_TIMELONGEXAMPLE     0x2273                                      //V6
#define STR_TIMESHORTEXAMPLE    0x2274                                      //V6
#define STR_APPLY               0x2280                                      //V6
#define STR_RESET               0x2281                                      //V6
#define STR_CLOSE               0x2282                                      //V6
#define STR_READOK              0x2283                                      //V6
#define STR_SAVEDOK             0x2284                                      //V6

//**************************************************************************  V3
// Menu IDs - used to relate command ID to menu items, buttons, and keys   *  V3
//**************************************************************************  V3
#define MI_ALIGNMENT     0x1500         //Alignment menu item command ID      V3
#define MI_CENTER        0x1501         //Center menu item command ID         V3
#define MI_LEFT          0x1502         //Left menu item command ID           V3
#define MI_RIGHT         0x1503         //Right menu item command ID          V3
#define MI_EDIT          0x1504         //Edit menu item command ID           V4
#define MI_TEXT          0x1505         //Text menu item command ID           V4
#define MI_HELP          0x1510         //Help menu item command ID           V5
#define MI_FONT          0x1507         //Font menu item command ID           V6
#define MI_SETTINGS      0x1511         //Settings menu item command ID       V6
#define MI_READSETS      0x1512         //Read settings menu item command ID  V6
#define MI_OPENSETS      0x1513         //Open settings menu item command ID  V6
#define MI_SAVESETS      0x1508         //Save settings menu item command ID  V6
#define MI_TWINKLE       0x1520         //Twinkle menu item command ID        V6
#define MI_BRIGHT        0x1521         //Bright menu item command ID         V6
#define MI_DIM           0x1522         //Dim menu item command ID            V6

//**************************************************************************  V5
// Hello IDs - used for different language versions of Hello World text    *  V5
//**************************************************************************  V5
#define HI_WORLD         0x1700         //First Hello World text ID           V5
#define HI_COUNT         8              //Number of Hello World text strings  V5

//**************************************************************************  V4
// Dialog IDs - window IDs used in ATextDialog class                       *  V4
//**************************************************************************  V4
#ifndef DID_OK                          //If not already defined by OS/2,     V4
#define DID_OK           0x0001         //OK button command ID                V4
#endif                                  //                                    V4
#ifndef DID_CANCEL                      //If not already defined by OS/2      V4
#define DID_CANCEL       0x0002         //Cancel button command ID            V4
#endif                                  //                                    V4
#define DID_ENTRY        0x1603         //Dialog entry field window ID        V4
#define DID_STATIC       0x1604         //Dialog static text window ID        V4

//**************************************************************************  V5
// Help IDs - used to relate resources to IHelp class                      *  V5
//**************************************************************************  V5
#define HELP_TABLE       0x1800         //Help table ID                       V5
#define SUBTABLE_MAIN    0x1801         //Help subtable for main window       V5
#define SUBTABLE_DIALOG  0x1802         //Help subtable for dialog window     V5
#endif
