#ifndef _ANOTEBW6_
#define _ANOTEBW6_
/*****************************************************************************
* HELLO WORLD SAMPLE PROGRAM - Version 6:ANoteBookWindow Class (anotebw6.hpp)*
*                                                                            *
* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1995. *
*                                                                            *
* DISCLAIMER OF WARRANTIES:                                                  *
*   The following [enclosed] code is sample code created by IBM              *
*   Corporation.  This sample code is not part of any standard IBM product   *
*   and is provided to you solely for the purpose of assisting you in the    *
*   development of your applications.  The code is provided "AS IS",         *
*   without warranty of any kind.  IBM shall not be liable for any damages   *
*   arising out of your use of the sample code, even if they have been       *
*   advised of the possibility of such damages.                              *
*****************************************************************************/
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.

#ifndef _IFRAME_                                                            //V6
  #include <iframe.hpp>         //Include IFrameWindow class header           V6
#endif                                                                      //V6
#ifndef _ICMDHDR_                                                           //V6
  #include <icmdhdr.hpp>        //Include ICommandHandler class header        V6
#endif                                                                      //V6
#ifndef _INOTEBK_                                                           //V6
  #include <inotebk.hpp>        //Include INotebook class header              V6
#endif                                                                      //V6
#ifndef _IMCELCV_                                                           //V6
  #include <imcelcv.hpp>        //Include IMultiCellCanvas class header       V6
#endif                                                                      //V6
#ifndef _ISETCV_                                                            //V6
  #include <isetcv.hpp>         //Include ISetCanvas class header             V6
#endif                                                                      //V6
#ifndef _ISTATTXT_                                                          //V6
  #include <istattxt.hpp>       //Include IStaticText class header            V6
#endif                                                                      //V6
#ifndef _ICHECKBX_                                                          //V6
  #include <icheckbx.hpp>       //Include ICheckBox class header              V6
#endif                                                                      //V6
#ifndef _ISLIDER_                                                           //V6
  #include <islider.hpp>        //Include ISlider     class header            V6
#endif                                                                      //V6
#ifndef _IRADIOBT_                                                          //V6
  #include <iradiobt.hpp>       //Include IRadioButton class header           V6
#endif                                                                      //V6
#ifndef _IPUSHBUT_                                                          //V6
  #include <ipushbut.hpp>       //Include IPushButton class header            V6
#endif                                                                      //V6
#ifndef _AHELLOW6_                                                          //V6
  #include "ahellow6.hpp"       //Include AHelloWindow class header           V6
#endif                                                                      //V6

//Forward declarations for other classes:
class AHelloWindow;                                                         //V6
class ANotebookWindow;                                                      //V6

/**************************************************************************   V6
* Class:   ANotebookCommandHandler                                        *   V6
*                                                                         *   V6
* Purpose: New Command Handler class that processes commands              *   V6
*          specifically for ANotebookWindow class windows.                *   V6
*                                                                         *   V6
**************************************************************************/ //V6
class ANotebookCommandHandler : public ICommandHandler {                    //V6
public:                                                                     //V6
  ANotebookCommandHandler(ANotebookWindow *nbFrame);                        //V6
virtual ~ANotebookCommandHandler() { }                                      //V6

protected:                                                                  //V6
/*------------------------ Override Command Function ---------------------|   V6
| The command function is called to process application command events.   |   V6
|------------------------------------------------------------------------*/ //V6
virtual Boolean                                                             //V6
  command(ICommandEvent& cmdEvent);                                         //V6

private:                                                                    //V6
  ANotebookWindow *frame;                                                   //V6
};

/**************************************************************************   V6
* Class:   ANotebookWindow                                                *   V6
*                                                                         *   V6
* Purpose: Frame Window class containing an INotebook window for changing *   V6
*          settings in the C++ Hello World sample application.            *   V6
*          It is derived from IFrameWindow class.                         *   V6
*                                                                         *   V6
**************************************************************************/ //V6
class ANotebookWindow : public IFrameWindow                                 //V6
{                                                                           //V6
public:                                                                     //V6
    ANotebookWindow(unsigned long windowId, AHelloWindow *ownerWnd);
virtual ~ANotebookWindow();             //Destructor for this class           V6

/*------------------------ Public Settings Functions ---------------------|   V6
| These functions are used to change settings in the AHelloWindow and     |   V6
|   to set the values in the notebook when it is intialized and when      |   V6
|   the reset push button is pressed.                                     |   V6
|   applyEarthSettings - use earthPage settings to change earthWindow     |   V6
|              attributes.                                                |   V6
|   resetEarthSettings - set earthPage values by querying earthWindow     |   V6
|              attributes.                                                |   V6
|   applyDateTimeSettings - use dateTimePage settings to change           |   V6
|              AHelloWindow attributes.                                   |   V6
   resetDateTimeSettings - set dateTimePage values by querying           |   V6
|              AHelloWindow attributes.                                   |   V6
|------------------------------------------------------------------------*/ //V6
ANotebookWindow                                                             //V6
    &applyEarthSettings(),                                                  //V6
    &resetEarthSettings(),                                                  //V6
    &applyDateTimeSettings(),                                               //V6
    &resetDateTimeSettings();                                               //V6

private:                                                                    //V6
    INotebook           helloSettingsNotebook;                              //V6
    IMultiCellCanvas    earthPage;                                          //V6
    IStaticText         earthPageHeading;                                   //V6
    IStaticText         starsHeading;                                       //V6
    ISetCanvas          starsSettings;                                      //V6
    ICheckBox           twinkleBox;                                         //V6
    ICheckBox           brightBox;                                          //V6
    IStaticText         layersHeading;                                      //V6
    ISlider             layersSlider;                                       //V6
    IStaticText         earthColorHeading;                                  //V6
    IMultiCellCanvas    earthColorSettings;                                 //V6
    IRadioButton        cyanButton;                                         //V6
    IRadioButton        greenButton;                                        //V6
    IRadioButton        whiteButton;                                        //V6
    IRadioButton        yellowButton;                                       //V6
    ISetCanvas          earthPageButtons;                                   //V6
    IPushButton         earthApplyButton;                                   //V6
    IPushButton         earthResetButton;                                   //V6
    IPushButton         earthCloseButton;                                   //V6
    IMultiCellCanvas    dateTimePage;                                       //V6
    IStaticText         dateTimePageHeading;                                //V6
    IStaticText         dateHeading;                                        //V6
    IMultiCellCanvas    dateSettings;                                       //V6
    IRadioButton        dateLongButton;                                     //V6
    IRadioButton        dateShortButton;                                    //V6
    IStaticText         dateLongExample;                                    //V6
    IStaticText         dateShortExample;                                   //V6
    IStaticText         timeHeading;                                        //V6
    IMultiCellCanvas    timeSettings;                                       //V6
    IRadioButton        timeLongButton;                                     //V6
    IRadioButton        timeShortButton;                                    //V6
    IStaticText         timeLongExample;                                    //V6
    IStaticText         timeShortExample;                                   //V6
    ISetCanvas          dateTimePageButtons;                                //V6
    IPushButton         dateTimeApplyButton;                                //V6
    IPushButton         dateTimeResetButton;                                //V6
    IPushButton         dateTimeCloseButton;                                //V6
    ANotebookCommandHandler notebookCommandHandler;                         //V6

    ANotebookWindow(const ANotebookWindow&);  //Default copy constructor      V5
ANotebookWindow                                                             //V5
    &operator=(const ANotebookWindow&);    //Default assignment operator      V5
};                                                                          //V6

#endif                                                                      //V6
