#include "mltamp.h"
#include <imcelcv.hpp>
#include <immamix.hpp>
#include <icslider.hpp>
#include <isldahdr.hpp>
#include <ictlevt.hpp>
#include <istattxt.hpp>

class AmpHandler    : public ISliderArmHandler {
typedef ISliderArmHandler
  Inherited;
//**************************************************************************
// Class:   AmpHandler                                                     *
//                                                                         *
// Purpose: Provide a Handler for processing the sliders on the Amp.       *
//          It is a subclass of ISliderArmHandler                          *
//                                                                         *
//**************************************************************************
public:

  AmpHandler ();

virtual Boolean
  moving     (IControlEvent& evt);
};


class Amp    : public IMultiCellCanvas {
//**************************************************************************
// Class:   Amp                                                            *
//                                                                         *
// Purpose: Provide a Amp for use by all of the devices.                   *
//          It is a subclass of IMultiCell                                 *
//                                                                         *
//**************************************************************************
public:

  Amp(IMMAmpMixer*      pAmp1,
      IMMAmpMixer*      pAmp2,
      IMMAmpMixer*      pAmp3,
      unsigned long     windowid,
      IWindow*          parent,
      IWindow*          owner);

ICircularSlider
  slVolume,
  slBalance,
  slBass,
  slTreble,
  slPitch,
  slGain;


IMMAmpMixer
  *pAmpMixer1,
  *pAmpMixer2,
  *pAmpMixer3;

AmpHandler
  ampHandler;

IStaticText
  name;
};

