#include "mltvid.h"
#include <immdigvd.hpp>
#include <ifont.hpp>
#include <immttime.hpp>
#include <inotifev.hpp>
#include <icolor.hpp>
#include <ianimbut.hpp>
#include <icmdhdr.hpp>
#include <istattxt.hpp>
#include <iobservr.hpp>
#include <immplypn.hpp>
#include <immplyhd.hpp>
#include <ifiledlg.hpp>
class VideoHandler;
class VideoObserver;

class VIDEO  : public IMMPlayerPanel {
//**************************************************************************
// Class:   VIDEO                                                          *
//                                                                         *
// Purpose: Provide a Video player.                                        *
//          It is a subclass of IMMPlayerPanel                             *
//                                                                         *
//**************************************************************************
public:

  VIDEO( IMMDigitalVideo*  pVideo,
         unsigned long     windowid,
         IWindow*          parent,
         IWindow*          owner);

  ~VIDEO();

/*-------------------------------- Device ------------------------------------*/
IMMDigitalVideo*
  videoPlayer          () const;

IStaticText
  name,
  readout;

private:
IMMDigitalVideo
  *pVideoPlayer;

IAnimatedButton
  *loadit;

VideoHandler
  *handler;

VideoObserver
  *observer;

};

class VideoHandler : public IMMPlayerPanelHandler {
typedef IMMPlayerPanelHandler
  Inherited;
//**************************************************************************
// Class:   VideoHandler                                                   *
//                                                                         *
// Purpose: Provide a Handler for processing the load button.              *
//                                                                         *
//**************************************************************************
public:

  VideoHandler ();

/*---------------------------- Event Dispatching -----------------------------*/
virtual Boolean
  command (ICommandEvent& event);

};

class VideoObserver : public IObserver {
typedef IObserver
  Inherited;
//**************************************************************************
// Class:   VideoObserver                                                  *
//                                                                         *
// Purpose: Provide an Observer for processing the play notifications.     *
//                                                                         *
//**************************************************************************
public:

  VideoObserver (VIDEO& videoPanel);

virtual VideoObserver
  &dispatchNotificationEvent(const INotificationEvent&);

private:
VIDEO
  &panel;

};
