/*****************************************************************************
* FILE NAME: notebook.hpp       (Notebook Sample Program)                    *
*                                                                            *
* COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1995. *
*                                                                            *
* DISCLAIMER OF WARRANTIES:                                                  *
*   The following [enclosed] code is sample code created by IBM              *
*   Corporation.  This sample code is not part of any standard IBM product   *
*   and is provided to you solely for the purpose of assisting you in the    *
*   development of your applications.  The code is provided "AS IS",         *
*   without warranty of any kind.  IBM shall not be liable for any damages   *
*   arising out of your use of the sample code, even if they have been       *
*   advised of the possibility of such damages.                              *
*****************************************************************************/
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
#ifndef _IFRAME_
  #include <iframe.hpp>
#endif
#ifndef _INOTEBK_
#include <inotebk.hpp>
#endif
#ifndef _IVPORT_
#include <ivport.hpp>
#endif
#ifndef _IBMPCTL_
#include <ibmpctl.hpp>
#endif

#include "notebook.h"

/**************************************************************************
* Class:   ABitmapNotebook                                                *
*                                                                         *
* Purpose: New class that displays a notebook containing four pages of    *
*          bitmaps.  The bitmaps are represented by IBitmapControl        *
*          objects that are placed in IViewport windows to allow          *
*          scrolling to parts of the image that will not fit in the       *
*          notebook page.  This class inherits from IFrameWindow.         *
*                                                                         *
**************************************************************************/
class ABitmapNotebook : public IFrameWindow {
public:
  ABitmapNotebook(unsigned long windowId);
virtual ~ABitmapNotebook() { };

private:
  IResourceLibrary reslib;
  ISize          tabSize;
  IBitmapHandle  tab1, tab2, tab3, tab4;
  INotebook      notebook;
  IViewPort      viewport1,
                 viewport2,
                 viewport3,
                 viewport4;
  IBitmapControl bitmap1,
                 bitmap2,
                 bitmap3,
                 bitmap4;
  ABitmapNotebook (const ABitmapNotebook &);    //Default copy constructor
ABitmapNotebook
  &operator= (const ABitmapNotebook &);         //Default assignment operator
};
