#ifndef _TBAR1_
#define _TBAR1_
#include <ifont.hpp>
#include <iframe.hpp>
#include <itbar.hpp>
#include <itbarbut.hpp>
#include <imle.hpp>
#include <icmdhdr.hpp>
#include <imenubar.hpp>
#include <iflytext.hpp>
#include <istattxt.hpp>
#include <iflyhhdr.hpp>
#include <icombobx.hpp>
#include <iselhdr.hpp>

class Editor;

//-------------------------------------------------------------------
// FontSelectHandler
//
// This class is used to handle selection of a new font from the font
// combo box on the tool bar.
//-------------------------------------------------------------------
class FontSelectHandler : public ISelectHandler
{
public:
  FontSelectHandler ( Editor& editor ) : editorFrame(editor) {}

protected:
virtual Boolean 
  enter ( IControlEvent& event );

private:
Editor
 &editorFrame;
};

//-------------------------------------------------------------------
// Editor
//
// This class is the main window of the sample problem.  It is
// responsible for creating and managing all of the windows that
// are used.
//-------------------------------------------------------------------
class Editor : public IFrameWindow,
               public ICommandHandler
{
public:
  Editor();

Boolean
 command ( ICommandEvent& event );

IMultiLineEdit
 &editorWindow ( ) { return editWindow; }

IFont
 &editorFont ( ) { return editFont; }

private:
IToolBar
  toolBar;            
IFlyText            
  flyText;
IStaticText
  infoText;
IFlyOverHelpHandler
  flyHelpHandler;
IMultiLineEdit
  editWindow;
FontSelectHandler
  fontSelectHandler;
IToolBarButton
  cutButton,
  copyButton,
  pasteButton,
  boldButton,
  italicButton,
  underscoreButton;
IComboBox
  fontCombo;
IMenuBar
  menu;
IFont
  editFont;
};

#endif /* _TBAR1_ */
