#ifndef _IBASE_                         //Make sure ibase.hpp is included
  #include <ibase.hpp>                  //  since that is where IC_<environ>
#endif                                  //  is defined.
#include <iapp.hpp>                     //IApplication class
#include <ititle.hpp>                   //ITitle class
#include <istring.hpp>                  //IString class
#include <istattxt.hpp>                 //IStaticText class
#include <iframe.hpp>                   //IFrameWindow class

int main()
{
  IFrameWindow mainWindow (0x1000);

  ITitle mainTitle(&mainWindow);
  mainTitle.setTitleText("Version Sample");

  IStaticText version(0x8008, &mainWindow, &mainWindow);
  version.setText("Major="+IString(IC_MAJOR_VERSION)+"    "+
                "minor="+IString(IC_MINOR_VERSION));
  version.setAlignment(IStaticText::centerCenter);
  mainWindow.setClient(&version);

  mainWindow.sizeTo(ISize(800,100));
  mainWindow.setFocus();
  mainWindow.show();
  IApplication::current().run();
  return 0;
} /* end main */
