#ifndef _ICALCTLY_
#define _ICALCTLY_
//****************************************************************************
// ICalcTally Class - C++ Header File (icalctly.hpp)                         *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//
// VERSION 2
//
// Changes:
//   9/23/94 - Removed File Dialog creation and manipulation.  Now handled
//             by connecting standard FileDialogProxy part.
//****************************************************************************

#include <istring.hpp>
#include <istdntfy.hpp>

//**************************************************************************
// Class:   ICalcTally
//
// Purpose: Describes ICalcTally Class.
//   This is the Tally function for the Calculator
//**************************************************************************

class _Export ICalcTally : public IStandardNotifier
{
public:
           ICalcTally            ();
  virtual  ~ICalcTally ();

//
// List of Part Events
//

static INotificationId bufferId;
static INotificationId nextTallyLineId;
static INotificationId notEmptyId;

//
// List of Part Attributes - (query and set members)
//

virtual IString
  buffer () const;

virtual ICalcTally&
  setBuffer (IString iBuffer);

virtual IString
  nextTallyLine () const;

virtual ICalcTally& 
  setNextTallyLine (IString iString);

//
// List of Part Actions
//

virtual Boolean 
  reset ();

virtual Boolean
  processBinaryOperator (IString iBinaryOpSym);

virtual Boolean
  processUnaryOperator (IString iUnaryOpSym);

protected:
//
// List of data members - Attributes
//

  IString dBuffer;        // Active Display Image
  IString dNextTallyLine; // Next line to add to the Tally

//
// Non-exposed data members
//

  Boolean dUpdateTally;
  Boolean dProcessBinaryOp;
  Boolean dEmptyMark;
  Boolean dResultExpected;
  IString dLastOperator;


};

#endif
