#ifndef _IKEYPAD_
#define _IKEYPAD_
//****************************************************************************
// IKeypad Class - C++ Header File (ikeypad.hpp)                             *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//
//
// VERSION 2
//
//****************************************************************************

#include <istring.hpp>
#include <istdntfy.hpp>

//**************************************************************************
// Class:   IKeypad
//
// Purpose: Describes IKeypad Class.
//   This is a numeric keypad for applications such as the Calculator.
//**************************************************************************

class _Export IKeypad : public IStandardNotifier
{
public:
           IKeypad            ();
  virtual  ~IKeypad ();

//
// List of Part Events
//

static INotificationId digitId;

//
// List of Part Attributes - (query and set members)
//

virtual IString
  digit () const;

virtual IKeypad&
  setDigit (IString iDigit);

//
// List of Part Actions
//


protected:
//
// List of data members
//

  IString dDigit;

};

#endif
