#ifndef _IADDRREC_
#define _IADDRREC_
//****************************************************************************
// IAddressRecord Class - C++ Header File (iaddrrec.hpp)                     *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//

#include <istring.hpp>
#include <irecord.hpp>

//Forward declarations of other classes

/*----------------------------------------------------------------------------*/
/* Align classes on four byte boundary.                                       */
/*----------------------------------------------------------------------------*/
#pragma pack(4)

//**************************************************************************
// Class:   IAddressRecord
//
// Purpose: Describes IAddressRecord
//
//**************************************************************************
class _Export IAddressRecord : public IRecord
{
public:
           IAddressRecord ();
           IAddressRecord ( const IString & recordData );
           IAddressRecord ( const IAddressRecord & aRecord );
  virtual  ~IAddressRecord ();

IAddressRecord & operator = ( const IAddressRecord & aRecord );
IAddressRecord & operator = ( const IString & aString );

/*------------------------------------------------------------------
 * street
 *-----------------------------------------------------------------*/
virtual IString street () const;
virtual IAddressRecord & setStreet (IString iStreet);

/*------------------------------------------------------------------
 * city
 *-----------------------------------------------------------------*/
virtual IString city () const;
virtual IAddressRecord & setCity (const IString & iCity);

/*------------------------------------------------------------------
 * state
 *-----------------------------------------------------------------*/
virtual IString state () const;
virtual IAddressRecord & setState (const IString iState);

/*------------------------------------------------------------------
 * zip
 *-----------------------------------------------------------------*/
virtual IString zip () const;
virtual IAddressRecord & setZip (const IString & iZip);


private:
   unsigned long dParentSize;
   const unsigned long dMySize;
};

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif
