#ifndef _IARSTREC_
#define _IARSTREC_
//****************************************************************************
// IArrestRecord Class - C++ Header File (iarstrec.hpp)                      *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//

#include <istring.hpp>
#include <irecord.hpp>

//Forward declarations of other classes

/*----------------------------------------------------------------------------*/
/* Align classes on four byte boundary.                                       */
/*----------------------------------------------------------------------------*/
#pragma pack(4)

//**************************************************************************
// Class:   IArrestRecord
//
// Purpose: Describes IArrestRecord
//
//**************************************************************************
class _Export IArrestRecord : public IRecord
{
public:
           IArrestRecord ();
           IArrestRecord ( const IString & recordData );
           IArrestRecord ( const IArrestRecord & aRecord );
  virtual  ~IArrestRecord ();

IArrestRecord & operator = ( const IArrestRecord & aRecord );
IArrestRecord & operator = ( const IString & aString );

/*------------------------------------------------------------------
 * charge
 *-----------------------------------------------------------------*/
virtual unsigned short charge () const;
virtual IArrestRecord & setCharge (unsigned short iCharge);

/*------------------------------------------------------------------
 * status
 *-----------------------------------------------------------------*/
virtual unsigned short status () const;
virtual IArrestRecord & setStatus (unsigned short iStatus);

/*------------------------------------------------------------------
 * statusDate
 *-----------------------------------------------------------------*/
virtual IString statusDate () const;
virtual IArrestRecord & setStatusDate (const IString & iStatusDate);


private:
   unsigned long dParentSize;
   const unsigned long dMySize;
};

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif
