#ifndef _ILSREC_
#define _ILSREC_
//****************************************************************************
// ILastSeenRecord Class - C++ Header File (ilsrec.hpp)                      *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//

#include <irecord.hpp>
#include <istring.hpp>

//Forward declarations of other classes

/*----------------------------------------------------------------------------*/
/* Align classes on four byte boundary.                                       */
/*----------------------------------------------------------------------------*/
#pragma pack(4)

//**************************************************************************
// Class:   ILastSeenRecord
//
// Purpose: Describes ILastSeenRecord
//
//**************************************************************************
class _Export ILastSeenRecord : public IRecord
{
public:
           ILastSeenRecord ();
           ILastSeenRecord ( const IString & recordData );
           ILastSeenRecord ( const ILastSeenRecord & aRecord );
  virtual  ~ILastSeenRecord ();

ILastSeenRecord & operator = ( const ILastSeenRecord & aRecord );
ILastSeenRecord & operator = ( const IString & aString );

/*------------------------------------------------------------------
 * location
 *-----------------------------------------------------------------*/
virtual IString location () const;
virtual ILastSeenRecord & setLocation (const IString & iLocation);


/*------------------------------------------------------------------
 * witness
 *-----------------------------------------------------------------*/
virtual IString witness() const;
virtual ILastSeenRecord & setWitness (const IString & iWitness);


/*------------------------------------------------------------------
 * lastSeenDate
 *-----------------------------------------------------------------*/
virtual IString lastSeenDate() const;
virtual ILastSeenRecord & setLastSeenDate (const IString & iLastSeenDate);


/*------------------------------------------------------------------
 * street
 *-----------------------------------------------------------------*/
virtual IString  street() const;
virtual ILastSeenRecord & setStreet (const IString & iStreet);

/*------------------------------------------------------------------
 * city
 *-----------------------------------------------------------------*/
virtual IString city() const;
virtual ILastSeenRecord & setCity (const IString & iStreet);

/*------------------------------------------------------------------
 * state
 *-----------------------------------------------------------------*/
virtual IString state() const;
virtual ILastSeenRecord & setState (const IString & iStreet);

/*------------------------------------------------------------------
 * comment
 *-----------------------------------------------------------------*/
virtual IString comment() const;
virtual ILastSeenRecord &  setComment (const IString & iComment);


private:
   unsigned long dParentSize;
   const unsigned long dMySize;
};

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif
