//****************************************************************************
// querydb.hpp - header file for database functions                          *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//

#include <stdio.h>
#include <stdlib.h>
#include <istring.hpp>
#include <iseq.h>
// #include <iptr.h>                     //IMgPtr header

#define BLANK ' '
#define OBJID_LEN 5

typedef ISequence <IString> AliasNamesSeq;
typedef IIterator <IString> AliasIter;


/* Declare the prototypes that describe the functions in query.cpp */

//IMgPtr queryByName(IString targetName);

//IResultRecord queryByName(IString targetName);

IResultRecord _Export getAllSuspects();
IResultRecord _Export getAllAliases(unsigned long bookNumber);
IResultRecord _Export getAllArrests(unsigned long bookNumber);
IResultRecord _Export getAllLastSeen(unsigned long bookNumber);
void error(const char *message);
//IResultRecord getRelatedInfo(const IString & filename,
//                             const IString & objID,
//                             const unsigned long lengthOfObjData);

