#ifndef _SUSCNRMH_
#define _SUSCNRMH_
//****************************************************************************
// ISuspectCnrMenuHandler Class - C++ Header File (suscnrmh.hpp)             *
//                                                                           *
// COPYRIGHT: Copyright (C) International Business Machines Corp., 1994,1995 *
//                                                                           *
// DISCLAIMER OF WARRANTIES:                                                 *
//   The following [enclosed] code is sample code created by IBM             *
//   Corporation.  This sample code is not part of any standard IBM product  *
//   and is provided to you solely for the purpose of assisting you in the   *
//   development of your applications.  The code is provided "AS IS",        *
//   without warranty of any kind.  IBM shall not be liable for any damages  *
//   arising out of your use of the sample code, even if they have been      *
//   advised of the possibility of such damages.                             *
//****************************************************************************
//NOTE: WE RECOMMEND USING A FIXED-SPACE FONT TO LOOK AT THE SOURCE.
//

#include <icnrmhdr.hpp>              // ICnrMenuHandler, parent class, which
                                     // indirectly includes IMenuEvent.

#ifndef _IVBCNR_
#include <ivbcnr.h>
#endif

//forward class references
class ISuspect;
class IVSequence<ISuspect *>;
class ISuspectCnrViewSuspectCnrCnrObj;

//**************************************************************************
// Class:   ISuspectCnrMenuHandler
//
// Purpose: Provides popup menu support for a suspect container view.
//
//***************************************************************************
class ISuspectCnrMenuHandler : public ICnrMenuHandler
{

public:
   ISuspectCnrMenuHandler(
      IVBContainerControl< ISuspect *,
                           IVSequence<ISuspect *>,
                           ISuspectCnrViewSuspectCnrCnrObj >
                           *aVBCnr,
      IPopUpMenu * aSuspectCnrMenu,
      IVSequence< ISuspect *> *);
   virtual ~ISuspectCnrMenuHandler();     //destructor

protected:
   Boolean makePopUpMenu(IMenuEvent& menuEvent);

private:
/*---------------------  ENUMERATED TYPES  ------------------------
 *-----------------------------------------------------------------*/
   enum IPopupMenuType {none=-1, cnr, element};

   IVBContainerControl < ISuspect *, 
                         IVSequence<ISuspect *>,
                         ISuspectCnrViewSuspectCnrCnrObj > *iCnr;
   IPopUpMenu * iPopupMenu;
   IVSequence <ISuspect *> * iTargetCollection;
   IPopupMenuType iCurrentMenu;

};   //ISuspectCnrMenuHandler

#endif
