##########################################################
# Makefile (iraprsc.MAK) to build a C++ DLL for
# all resources used by the Police Rap Sheet application.
##########################################################
#
# COPYRIGHT: Copyright (C) International Business Machines Corp., 1992,1993.
#
##########################################################


##########################################################
# Define variables for makefile
##########################################################
GCPPFLAGS=/Ge- /Gd+ /Gm+ /I.
##########################################################
# Definitions for GCPPFLAGS (compile options):
##########################################################
# /c   = perform compile only
# /Ge- = create a DLL (/Ge+ to create an EXE)
# /Ti+ = generate debugger information
# /Gd- = statically link runtime functions (why??)
# /Gm+ = multi-thread capability
# /Gn+ = not providing linker info about default libraries
#        (in object).  All libraries must be explicitly
#        specified at link time
# /Ft  = generate files for template resolution and put
#        them in the specified directory
# /Tdp = consider all files to be C++ files
# /I   = control which paths are searched when the
#        compiler looks for user #include files.  These 
#        paths are searched before those given in the 
#        INCLUDE environment variable.  The format is:
#             I  path[;path][;path]...
##########################################################

all:          main

main:           cppov43r.dll

##########################################################
# List of dependency files for the DLL.
# NOTE:  the compilation ordering is determined by the
#        dependency ordering.
##########################################################
cppov43r.dll:    cppov43.def \
                  cppov43.res \
                empty.obj
##########################################################
# When any of the DLL dependency files change, invoke the
# linker to rebuild the DLL.
##########################################################
                icc $(GCPPFLAGS) empty.obj \
                    /Fecppov43r.dll /Fmcppov43.map \
                    os2386.lib cppom30i.lib \
                    cppov43.def

##########################################################
# compile the .rc file with the Toolkit's Resource
# Compiler to create a .RES file (/r option).
##########################################################
                rc /r cppov43.rc

##########################################################
# use the Resource Compiler again to add/bind the
# resources to the DLL.
##########################################################
                rc cppov43.res cppov43r.dll


##########################################################
# Statements to compile each non-visual C++ file for the Rap
##########################################################
empty.obj:       empty.cpp  
                 icc -c $(GCPPFLAGS) empty.cpp
